define({"568":{y:0,u:"../Content/Lua/LuaJsonObject/_LUA_exists.htm",l:-1,t:"exists",i:0.00229785038387331,a:"The exists method checks whether a specified path exists in the JSON object. Syntax exists( pathElements ) Arguments Returns (Boolean) Returns true if the path exists, false otherwise. Example \nConsider the following JSON: \n{\n  \"product\": \"IDOL\",\n  \"component\": \"CFS\",\n  \"version\": { \"major\": 11, ..."},"569":{y:0,u:"../Content/Lua/LuaJsonObject/_LUA_existsByPath.htm",l:-1,t:"existsByPath",i:0.00229785038387331,a:"The existsByPath method checks whether a specified path exists in the JSON object. Syntax existsByPath( path ) Arguments Returns (Boolean) Returns true if the path exists, false otherwise. Example Consider the following JSON: \n{\n  \"product\": \"IDOL\",\n  \"component\": \"CFS\",\n  \"version\": { \"major\": 11, ..."},"570":{y:0,u:"../Content/Lua/LuaJsonObject/_LUA_lookup.htm",l:-1,t:"lookup",i:0.00229785038387331,a:"The lookup method returns the value at the specified path in the JSON object. This method does not make a copy of the value, so modifying the returned value affects the original object. Syntax lookup( pathElements ) Arguments Returns (LuaJsonValue) Returns the value that exists at the specified ..."},"571":{y:0,u:"../Content/Lua/LuaJsonObject/_LUA_lookupByPath.htm",l:-1,t:"lookupByPath",i:0.00229785038387331,a:"The lookupByPath method returns the value at the specified path in the JSON object. This method does not make a copy of the value, so modifying the returned value affects the original object. Syntax lookupByPath( path ) Arguments Returns (LuaJsonValue) Returns the value that exists at the specified ..."},"572":{y:0,u:"../Content/Lua/LuaJsonObject/_LUA_pairs.htm",l:-1,t:"pairs",i:0.000344680882410869,a:"The pairs method returns an iterator function that you can use with a for loop to iterate over all of the attributes contained in the JSON object. Syntax pairs() Example local myJsonObject = LuaJsonObject:new( { product=\"IDOL\" , version=11 } )\n\nfor i, v in myJsonObject:pairs() do\n  print (i .. \u0027=\u0027 ..."},"573":{y:0,u:"../Content/Lua/LuaJsonObject/_LUA_size.htm",l:-1,t:"size",i:0.000344680882410869,a:"size The size method returns the number of attributes (name/value pairs) in the JSON object. Syntax size() Returns (Number). The number of attributes in the JSON object. Example local myJsonObject = LuaJsonObject:new( { product=\"IDOL\" , version=11 } )\nprint (myJsonObject:size())\n-- 2"},"574":{y:0,u:"../Content/Lua/LuaJsonObject/_LUA_string.htm",l:-1,t:"string",i:0.000344680882410869,a:"string The string method returns the JSON object as a string. Syntax string() Returns (String). The JSON object as a string. Example local myJsonObject = LuaJsonObject:new( { product=\"IDOL\" , version=11 } )\nprint (myJsonObject:string())\n-- {\"product\":\"IDOL\",\"version\":11}"},"575":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA__LuaJsonValue.htm",l:-1,t:"LuaJsonValue Methods",i:0.00120626910793298,a:"A LuaJsonValue object represents a JSON value.  If you have a LuaJsonValue object called myJsonValue you can call its methods using the \u0027:\u0027 operator. For example: myJsonValue:is_object() Method Description array Gets a LuaJsonArray that represents the JSON array, if the value is an array. copy ..."},"576":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_LuaJsonValue_new.htm",l:-1,t:"LuaJsonValue:new",i:0.000311194853221836,a:"LuaJsonValue:new The constructor for a LuaJsonValue object (creates a new LuaJsonValue). Syntax LuaJsonValue:new( value ) Arguments Returns (LuaJsonValue). The new LuaJsonValue object."},"577":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_array.htm",l:-1,t:"array",i:0.000311194853221836,a:"The array method gets the array, if the value is a JSON array. Syntax array() Returns (LuaJsonArray). A  LuaJsonArray  object that represents the array. Example local fh = io.open(\"example_array.json\", \"r\")\nlocal file_content = fh:read(\"*all\")\nfh:close()\n    \nlocal myJsonValue = ..."},"578":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_copy.htm",l:-1,t:"copy",i:0.000311194853221836,a:"copy The copy method returns a copy of the value. Modifying the copy does not affect the original value. Syntax copy() Returns (LuaJsonValue). A copy of the value."},"579":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_exists.htm",l:-1,t:"exists",i:0.00207461305901268,a:"The exists method checks whether a specified path exists in the JSON value. Syntax exists( pathElements ) Arguments Returns (Boolean) Returns true if the path exists, false otherwise. Example \nConsider the following JSON: \n{\n  \"product\": \"IDOL\",\n  \"component\": \"CFS\",\n  \"version\": { \"major\": 11, ..."},"580":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_existsByPath.htm",l:-1,t:"existsByPath",i:0.00207461305901268,a:"The existsByPath method checks whether a specified path exists in the JSON value.  Syntax existsByPath( path ) Arguments Returns (Boolean) Returns true if the path exists, false otherwise. Example Consider the following JSON: \n{\n  \"product\": \"IDOL\",\n  \"component\": \"CFS\",\n  \"version\": { \"major\": 11, ..."},"581":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_is_array.htm",l:-1,t:"is_array",i:0.000311194853221836,a:"is_array The is_array method whether the value is a JSON array. Syntax is_array() Returns (Boolean). Returns true if the value is an array value, false otherwise."},"582":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_is_boolean.htm",l:-1,t:"is_boolean",i:0.000311194853221836,a:"is_boolean The is_boolean method returns whether the value is a Boolean value. Syntax is_boolean() Returns (Boolean). Returns true if the value is a Boolean value, false otherwise."},"583":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_is_float.htm",l:-1,t:"is_float",i:0.000311194853221836,a:"is_float The is_float method returns whether the value is a floating point value. Syntax is_float() Returns (Boolean). Returns true if the value is a floating point value, false otherwise."},"584":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_is_integer.htm",l:-1,t:"is_integer",i:0.000311194853221836,a:"is_integer The is_integer method returns whether the value is an integral value. Syntax is_integer() Returns (Boolean). Returns true if the value is an integer value, false otherwise."},"585":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_is_null.htm",l:-1,t:"is_null",i:0.000311194853221836,a:"is_null The is_null method returns whether the value is a null value. Syntax is_null() Returns (Boolean). Returns true if the value is a null value, false otherwise."},"586":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_is_number.htm",l:-1,t:"is_number",i:0.000311194853221836,a:"is_number The is_number method returns whether the value is a number. Syntax is_number() Returns (Boolean). Returns true if the value is a number, false otherwise."},"587":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_is_object.htm",l:-1,t:"is_object",i:0.000311194853221836,a:"is_object The is_object method returns whether the value is a JSON object. Syntax is_object() Returns (Boolean). Returns true if the value is a JSON object, false otherwise."},"588":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_is_simple_value.htm",l:-1,t:"is_simple_value",i:0.000311194853221836,a:"is_simple_value The is_simple_value method returns whether the value is a simple value (Boolean, float, integer, or string). Syntax is_simple_value() Returns (Boolean). Returns true if the value is a simple value, false otherwise."},"589":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_is_string.htm",l:-1,t:"is_string",i:0.000311194853221836,a:"is_string The is_string method returns whether the value is a string value. Syntax is_string() Returns (Boolean). Returns true if the value is a string value, false otherwise."},"590":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_lookup.htm",l:-1,t:"lookup",i:0.00207461305901268,a:"The lookup method returns the value at the specified path in the JSON value. This method does not make a copy of the value, so modifying the returned value affects the original object. Syntax lookup( pathElements ) Arguments Returns (LuaJsonValue) Returns the value that exists at the specified path, ..."},"591":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_lookupByPath.htm",l:-1,t:"lookupByPath",i:0.00207461305901268,a:"The lookupByPath method returns the value at the specified path in the JSON array. This method does not make a copy of the value, so modifying the returned value affects the original object. Syntax lookupByPath( path ) Arguments Returns (LuaJsonValue) Returns the value that exists at the specified ..."},"592":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_object.htm",l:-1,t:"object",i:0.000311194853221836,a:"The object method gets the object, if the value is a JSON object. Syntax object() Returns (LuaJsonObject) A  LuaJsonObject  object that represents the JSON object. Example local fh = io.open(\"example_json.json\", \"r\")\nlocal file_content = fh:read(\"*all\")\nfh:close()\n\nlocal myJsonValue = ..."},"593":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_string.htm",l:-1,t:"string",i:0.000311194853221836,a:"The string method returns the JSON value as a string. Syntax string() Returns (String). The JSON value as a string. Example local fh = io.open(\"example_json.json\", \"r\")\nlocal file_content = fh:read(\"*all\")\nfh:close()\n    \nlocal myJsonValue = parse_json(file_content)\n\nprint(myJsonValue:string())\n"},"594":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_value.htm",l:-1,t:"value",i:0.000311194853221836,a:"The value method gets the value, if the JSON value is a simple type (a Boolean, float, integer, or string). This method returns a default value if one is specified and the value cannot be converted to the same type as the default. Syntax value( [default] ) Arguments Returns (lua_json_simple_type). A ..."},"595":{y:0,u:"../Content/Lua/LuaLog/_LUA_LuaLog.htm",l:-1,t:"LuaLog Methods",i:0.00188811085963651,a:"LuaLog Methods A LuaLog object provides the capability to use a log stream. You can obtain a LuaLog object for a log stream by using the function  get_log . If you have a LuaLog object called log you can call its methods using the \u0027:\u0027 operator. For example: log:write_line(level, message)"},"596":{y:0,u:"../Content/Lua/LuaLog/_LUA_write_line.htm",l:-1,t:"write_line",i:0.00105967776279062,a:"The write_line method writes a message to the log stream. Syntax write_line( level, message ) Arguments Example local config = get_config(\"connector.cfg\")\nlocal log = get_log(config, \"SynchronizeLogStream\")\nlog:write_line( log_level_error() , \"This message is written to the synchronize log\")"},"597":{y:0,u:"../Content/Lua/LuaLogService/_LUA__LuaLogService.htm",l:-1,t:"LuaLogService Methods",i:0.000340834536190878,a:"A LuaLogService object provides the capability to write messages to a standard or custom log file. If you have a LuaLogService object called myLogService you can call its methods using the \u0027:\u0027 operator. For example: myLogService:get_log(\"application\") Method Description get_log Returns a LuaLog ..."},"598":{y:0,u:"../Content/Lua/LuaLogService/_LUA_LuaLogService_new.htm",l:-1,t:"LuaLogService:new",i:0.000402084887375279,a:"The constructor for a LuaLogService object (creates a new LuaLogService). Do not create a new log service to write messages to log types that are defined in the IDOL Community Component configuration file. Instead use the same log service as IDOL Community Component, by calling  get_log_service , or ..."},"599":{y:0,u:"../Content/Lua/LuaLogService/_LUA_get_log.htm",l:-1,t:"get_log",i:0.000402084887375279,a:"get_log The get_log method returns a LuaLog object that you can use to write log messages to a specified log type. Syntax get_log( type ) Arguments Returns (LuaLog). A  LuaLog  object. Example local log = myLuaLogService:get_log(\"import\")\n-- import is a standard log type for CFS"},"600":{y:0,u:"../Content/Lua/LuaRegexMatch/_LUA_LuaRegexMatch_Methods.htm",l:-1,t:"LuaRegexMatch Methods",i:0.000257230159702973,a:"A LuaRegexMatch object provides information about the matches for a regular expression found in a string. For example, the regex_search function returns a LuaRegexMatch object. If a match is found for a regular expression at multiple points in the string, you can use the next() method to get a ..."},"601":{y:0,u:"../Content/Lua/LuaRegexMatch/_LUA_length.htm",l:-1,t:"length",i:0.000300959300627421,a:"length The length method returns the length of the match. You can also retrieve the length of sub matches by specifying the submatch parameter. Syntax length( [ submatch ] ) Arguments Returns (Number). The length of the sub match."},"602":{y:0,u:"../Content/Lua/LuaRegexMatch/_LUA_next.htm",l:-1,t:"next",i:0.000300959300627421,a:"next The next method returns a LuaRegexMatch object for the next match. Syntax next() Returns (LuaRegexMatch). A LuaRegexMatch object for the next match, or nil if there are no matches following this one."},"603":{y:0,u:"../Content/Lua/LuaRegexMatch/_LUA_position.htm",l:-1,t:"position",i:0.000300959300627421,a:"The position method returns the position of the match in the string searched, where 1 refers to the first character in the string. You can also retrieve the position of sub matches by specifying the submatch parameter. Syntax position( [ submatch ] ) Arguments Returns (Number). The position of the ..."},"604":{y:0,u:"../Content/Lua/LuaRegexMatch/_LUA_size.htm",l:-1,t:"size",i:0.000300959300627421,a:"size The size method returns the total number of sub matches made for the current match, including the whole match (sub match 0). Syntax size() Returns (Number). The number of sub matches for the current match."},"605":{y:0,u:"../Content/Lua/LuaRegexMatch/_LUA_str.htm",l:-1,t:"str",i:0.000300959300627421,a:"str The str method returns the value of the substring that matched the regular expression. You can also retrieve the values of sub matches by specifying the submatch parameter. Syntax str( [ submatch ] ) Arguments Returns (String). The value of the sub match."},"606":{y:0,u:"../Content/Lua/LuaXmlDocument/_LUA_LuaXmlDocument_Methods.htm",l:-1,t:"LuaXmlDocument Methods",i:0.000257230159702973,a:"This section describes the methods provided by LuaXmlDocument objects. A LuaXmlDocument object provides methods for accessing information stored in XML format. You can create a LuaXmlDocument from a string containing XML using the parse_xml function. If you have a LuaXmlDocument object called xml ..."},"607":{y:0,u:"../Content/Lua/LuaXmlDocument/_LUA_root.htm",l:-1,t:"root",i:0.000300959300627421,a:"root The root method returns an LuaXmlNode, which is the root node of the XML document. Syntax root() Returns (LuaXmlNode). A LuaXmlNode object."},"608":{y:0,u:"../Content/Lua/LuaXmlDocument/_LUA_XPathExecute.htm",l:-1,t:"XPathExecute",i:0.000300959300627421,a:"XPathExecute The XPathExecute method returns a LuaXmlNodeSet, which is the result of the supplied XPath query. Syntax XPathExecute( xpathQuery ) Arguments Returns (LuaXmlNodeSet). A LuaXmlNodeSet object."},"609":{y:0,u:"../Content/Lua/LuaXmlDocument/_LUA_XPathRegisterNs.htm",l:-1,t:"XPathRegisterNs",i:0.000300959300627421,a:"XPathRegisterNs The XPathRegisterNs method registers a namespace with the XML parser. Syntax XPathRegisterNs( prefix, location ) Arguments Returns (Boolean). True if successful, False in case of error."},"610":{y:0,u:"../Content/Lua/LuaXmlDocument/_LUA_XPathValue.htm",l:-1,t:"XPathValue",i:0.000300959300627421,a:"XPathValue The XPathValue method returns the first occurrence of the value matching the XPath query. Syntax XPathValue( query ) Arguments Returns (String). A string of the value."},"611":{y:0,u:"../Content/Lua/LuaXmlDocument/_LUA_XPathValues.htm",l:-1,t:"XPathValues",i:0.000300959300627421,a:"The XPathValues method returns the values according to the XPath query. Syntax XPathValues( query ) Arguments Returns (Strings). The strings can be assigned to a table. To map the return values to a table, surround the function call with braces. For example: values = { xml:XPathValues(query) }"},"612":{y:0,u:"../Content/Lua/LuaXmlNodeSet/_LUA_LuaXmlNodeSet_Methods.htm",l:-1,t:"LuaXmlNodeSet Methods",i:0.000257230159702973,a:"LuaXmlNodeSet Methods A LuaXmlNodeSet object represents a set of XML nodes. If you have a LuaXmlNodeSet object called nodes you can call its methods using the \u0027:\u0027 operator. For example: nodes:size()"},"613":{y:0,u:"../Content/Lua/LuaXmlNodeSet/_LUA_at.htm",l:-1,t:"at",i:0.000366553012014093,a:"at The at method returns the LuaXmlNode at position position in the set. Syntax at( position ) Arguments Returns (LuaXmlNode)."},"614":{y:0,u:"../Content/Lua/LuaXmlNodeSet/_LUA_size.htm",l:-1,t:"size",i:0.000366553012014093,a:"size The size method returns the size of the node set. Syntax size() Returns (Number) An integer, the size of the node set."},"615":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_LuaXmlNode_Methods.htm",l:-1,t:"LuaXmlNode Methods",i:0.000257230159702973,a:"LuaXmlNode Methods A LuaXmlNode object represents a single node in an XML document.  If you have a LuaXmlNode object called node you can call its methods using the \u0027:\u0027 operator. For example: node:name()"},"616":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_attr.htm",l:-1,t:"attr",i:0.000279094730165197,a:"attr The attr method returns the first LuaXmlAttribute attribute object for the LuaXmlNode. If the name argument is specified, the method returns the first LuaXmlAttribute object with the specified name. Syntax attr( [name] ) Arguments Returns (LuaXmlAttribute). "},"617":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_content.htm",l:-1,t:"content",i:0.000279094730165197,a:"content The content method returns the content (text element) of the XML node. Syntax content() Returns (String). A string containing the content."},"618":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_firstChild.htm",l:-1,t:"firstChild",i:0.000279094730165197,a:"firstChild The firstChild method returns the LuaXmlNode that is the first child of this node. Syntax firstChild() Returns (LuaXmlNode)."},"619":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_lastChild.htm",l:-1,t:"lastChild",i:0.000279094730165197,a:"lastChild The lastChild method returns the LuaXmlNode that is the last child of this node. Syntax lastChild() Returns (LuaXmlNode)."},"620":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_name.htm",l:-1,t:"name",i:0.000279094730165197,a:"name The name method returns the name of the XML node. Syntax name() Returns (String). A string containing the name."},"621":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_next.htm",l:-1,t:"next",i:0.000279094730165197,a:"next The next method returns the LuaXmlNode that is the next sibling of this node. Syntax next() Returns (LuaXmlNode)."},"622":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_nodePath.htm",l:-1,t:"nodePath",i:0.000279094730165197,a:"nodePath The nodePath method returns the XML path to the node, which can be used in another XPath query. Syntax nodePath() Returns (String). A string containing the path."},"623":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_parent.htm",l:-1,t:"parent",i:0.000279094730165197,a:"parent The parent method returns the parent LuaXmlNode of the node. Syntax parent() Returns (LuaXmlNode)."},"624":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_prev.htm",l:-1,t:"prev",i:0.000279094730165197,a:"prev The prev method returns a LuaXmlNode that is the previous sibling of this node. Syntax prev() Returns (LuaXmlNode)."},"625":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_type.htm",l:-1,t:"type",i:0.000279094730165197,a:"The type method returns the type of the node as a string. Syntax type() Returns (String) A string containing the type. Possible values are: element_node comment_node element_decl attribute_node document_node attribute_decl text_node document_type_node entity_decl cdata_section_node ..."},"626":{y:0,u:"../Content/Lua/LuaXmlAttribute/_LUA_LuaXmlAttribute_Methods.htm",l:-1,t:"LuaXmlAttribute Methods",i:0.000257230159702973,a:"LuaXmlAttribute Methods A LuaXmlAttribute object represents an attribute on an XML element. If you have a LuaXmlAttribute object called attribute you can call its methods using the \u0027:\u0027 operator. For example: attribute:name()"},"627":{y:0,u:"../Content/Lua/LuaXmlAttribute/_LUA_name.htm",l:-1,t:"name",i:0.000311891585858533,a:"name The name method returns the name of this attribute. Syntax name() Returns (String). A string containing the name of the attribute."},"628":{y:0,u:"../Content/Lua/LuaXmlAttribute/_LUA_next.htm",l:-1,t:"next",i:0.000311891585858533,a:"next The next method returns a LuaXmlAttribute object for the next attribute in the parent element. Syntax next() Returns (LuaXmlAttribute)."},"629":{y:0,u:"../Content/Lua/LuaXmlAttribute/_LUA_prev.htm",l:-1,t:"prev",i:0.000311891585858533,a:"prev The prev method returns a LuaXmlAttribute object for the previous attribute in the parent element. Syntax prev() Returns (LuaXmlAttribute)."},"630":{y:0,u:"../Content/Lua/LuaXmlAttribute/_LUA_value.htm",l:-1,t:"value",i:0.000311891585858533,a:"value The value method returns the value of this attribute. Syntax value() Returns (String). A string containing the value of the attribute."},"631":{y:0,u:"../Content/Actions/Profile/ActionParameters/FieldFieldName.htm",l:-1,t:"FieldFieldName",i:0.00168937178618741,a:"Allows you to create a field associated with the specified user. Use the following format to create a field: Field FieldName= FieldValue where, In the  ProfileUser  action, you can use a blank value to delete the field. This process allows you to add a field to the user details when you profile the ..."},"632":{y:0,u:"../Content/Actions/User/ActionParameters/DeferLogin.htm",l:-1,t:"DeferLogin",i:0.00358785271816112,a:"Set DeferLogin to  True to use another system to manage authentication. This option allows you to integrate the users that this system provides (refer to the IDOL Server Administration Guide) rather than having to set up your own. By default, users expire after six months if they are not used (you ..."},"633":{y:0,u:"../Content/Actions/Role/ActionParameters/UserName.htm",l:-1,t:"UserName",i:0.00244426471687763,a:"UserName The name of the user."},"634":{y:0,u:"../Content/Actions/Role/ActionParameters/Positive.htm",l:-1,t:"Positive",i:0.000694215814002446,a:"Positive Whether to include  the values that you specify for  Value  from the privilege (for multivalue privileges).  Set Positive to  True to include the specified values. Set Positive to  False to exclude the values."},"635":{y:0,u:"../Content/Actions/Profile/ActionParameters/DREQueryParameter_ProfileUser.htm",l:-1,t:"DRETermGetInfoParameter",i:0.000814180601392516,a:"This parameter description applies only to the  ProfileUser  action. A  TermGetInfo action parameter to add to the profile query. When you send a  ProfileUser  action, IDOL Community Component uses an internal TermGetInfo action to find the best terms and phrases in the specified  Document . ..."},"636":{y:0,u:"../Content/Actions/Profile/ActionParameters/DREQueryParameter_ProfileGetResults.htm",l:-1,t:"DREQueryParameter",i:0.0007143989626631,a:"This parameter description applies only to the  ProfileGetResults  action. A  Query action parameter to add to the profile query that IDOL Community Component sends. When you send a  ProfileGetResults  action, IDOL Community Component uses the specified profile to query the data index. ..."},"637":{y:0,u:"../Content/Actions/Profile/ActionParameters/MinScore.htm",l:-1,t:"MinScore",i:0.00103106601697384,a:"MinScore The minimum score value that a profile must have to return as a result."},"638":{y:0,u:"../Content/Actions/User/ActionParameters/MaxUsers.htm",l:-1,t:"MaxUsers",i:0.0013140582754201,a:"MaxUsers The maximum number of users to list."},"639":{y:0,u:"../Content/Actions/Custom/ActionParameters/Comment.htm",l:-1,t:"Comment",i:0.000649896599296161,a:"Comment The comment that you want to send in the e-mail, if you run a  Custom  action that uses the ./res/modules/user_email library to send e-mails to users."},"640":{y:0,u:"../Content/Actions/Role/ActionParameters/RoleName.htm",l:-1,t:"RoleName",i:0.00839868835887815,a:"RoleName The name of the role. "},"641":{y:0,u:"../Content/Configuration/Actions/AsyncActions/Threads.htm",l:-1,t:"Threads",i:0.000670781421510872,a:"The maximum number of asynchronous actions that the server can process in parallel at any one time.  You cannot configure the total number of threads  split between ACI and asynchronous threads  to be more than 32. If the value of Threads set in the [AsyncActions] section plus the value of  Threads  ..."},"642":{y:0,u:"../Content/Actions/Maintenance/ActionParameters/UserName_Index.htm",l:-1,t:"UserName",i:0.000971746003746907,a:"UserName The name of the user to index agents and profiles for."},"643":{y:0,u:"../Content/Actions/Community/ActionParameters/AgentName.htm",l:-1,t:"AgentName",i:0.00086289855492023,a:"AgentName The name of the agent for which you want to return community agents and profiles."},"644":{y:0,u:"../Content/Actions/Role/ActionParameters/Recurse_RoleGetUserPrivilegeValueList.htm",l:-1,t:"Recurse",i:0.00075436385987269,a:"This parameter description applies only to the  RoleGetUserPrivilegeValueList  action. Set Recurse to  True to list the privilege values for the roles that the specified user belongs to, as well as the privilege values for the parent roles (and so on). You can use this option to find the value of a ..."},"645":{y:0,u:"../Content/Actions/Agent/ActionParameters/UserName.htm",l:-1,t:"UserName",i:0.00290313145254592,a:"UserName The name of the user."},"646":{y:0,u:"../Content/Actions/Agent/ActionParameters/TermTerm.htm",l:-1,t:"TermTerm",i:0.00050067178124991,a:"Term Term Allows you to set the weight of a specific term in agent training. Use the following format to set the term weights: Term Term= Weight where, To use the TermTerm action parameter, you must set SplitNumbers to  False in the IDOL Community Component configuration file."},"647":{y:0,u:"../Content/Service/ServiceActions/_ACI_Name.htm",l:-1,t:"Name",i:0.000581302566937162,a:"Name Type the name of the log stream you want to return. To retrieve a list of log stream names, use the  GetLogStreamNames  service action."},"648":{y:0,u:"../Content/Actions/Agent/ActionParameters/AID.htm",l:-1,t:"AID",i:0.00230848760610345,a:"AID The agent ID of the agent."},"649":{y:0,u:"../Content/Actions/Community/ActionParameters/AgentsFindProfiles.htm",l:-1,t:"AgentsFindProfiles",i:0.00097996511225095,a:"AgentsFindProfiles Set AgentsFindProfiles to  True to return community profiles as well as community agents that match the agents of the specified user. This parameter has an effect only when you set  Agents to  True."},"650":{y:0,u:"../Content/Actions/Agent/ActionParameters/AgentBoolean.htm",l:-1,t:"AgentBoolean",i:0.00119232949703026,a:"AgentBoolean Set this parameter to  True to use a  BooleanRestriction  when obtaining results for agents. If you specified a  BooleanRestriction  when adding or editing an agent, you can use these restrictions to query agents by adding the AgentBoolean parameter to your  AgentGetResults  action. "},"651":{y:0,u:"../Content/Actions/User/ActionParameters/UserName.htm",l:-1,t:"UserName",i:0.00756057976745608,a:"UserName The name of the user."},"652":{y:0,u:"../Content/Actions/General/_ACI_IP.htm",l:-1,t:"IP",i:0.00058708559655687,a:"IP The IP address for which to check permissions. By default, the  ShowPermissions  action checks the permissions for the client that sends the request."},"653":{y:0,u:"../Content/Actions/Role/ActionParameters/SingleValue.htm",l:-1,t:"SingleValue",i:0.000438720709383315,a:"SingleValue Set SingleValue to  True to allow users to have only a single value for the specified privilege. Set SingleValue to  False to allow users to have multiple values for the specified privilege."},"654":{y:0,u:"../Content/Actions/Custom/ActionParameters/Function.htm",l:-1,t:"Function",i:0.000649896599296161,a:"Function The name of the library function to use."},"655":{y:0,u:"../Content/Actions/Custom/ActionParameters/Security.htm",l:-1,t:"Security",i:0.00118006388233336,a:"A security field to create for the user to store the  user security details for a repository. Use the following format to create a security field: Security SecurityTypeSecurityField= Value where, Actions: Custom InitCustom Type: String Default:   Example: ..."},"656":{y:0,u:"../Content/Actions/Profile/ActionParameters/MinDate.htm",l:-1,t:"MinDate",i:0.00164806832480424,a:"Allows you to specify the earliest creation date or time that a profile can have to return results. If a profile is older than the specified date or time, it is rejected. Profiles created with a version of Community earlier than 7.5.7.0 do not have a creation date, and they do not return when you ..."},"657":{y:0,u:"../Content/Actions/User/ActionParameters/SecurityInfo_UserDecrypt.htm",l:-1,t:"SecurityInfo",i:0.000440663618767558,a:"SecurityInfo The security info string that you want to decrypt."},"658":{y:0,u:"../Content/Actions/Agent/ActionParameters/ShowTerms.htm",l:-1,t:"ShowTerms",i:0.00105136229047427,a:"ShowTerms Set this parameter to  True  to include the agent terms in the agent details."},"659":{y:0,u:"../Content/Actions/Maintenance/ActionParameters/ExportFileName.htm",l:-1,t:"ExportFileName",i:0.000660777025990792,a:"ExportFileName The name of the XML file to export IDOL Community Component users, agents, and profiles into. If the XML file is not stored in the same directory as IDOL Community Component, you must specify the full path to the file."},"660":{y:0,u:"../Content/Actions/Profile/ActionParameters/UserDetails.htm",l:-1,t:"UserDetails",i:0.0007143989626631,a:"UserDetails Set UserDetails to  True to return the user details with the profile results."},});